﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_autocomplete
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Make the collection of day names.
            AutoCompleteStringCollection day_source =
                new AutoCompleteStringCollection();
            day_source.AddRange(Enum.GetNames(typeof(DayOfWeek)));

            // Prepare the TextBox.
            PrepareTextBox(txtAppend, day_source, AutoCompleteMode.Append);
            PrepareTextBox(txtSuggest, day_source, AutoCompleteMode.Suggest);
            PrepareTextBox(txtSuggestAppend, day_source, AutoCompleteMode.SuggestAppend);
        }

        // Prepare a TextBox for auto-completion.
        private void PrepareTextBox(TextBox txt, 
            AutoCompleteStringCollection source, AutoCompleteMode mode)
        {
            txt.AutoCompleteSource = AutoCompleteSource.CustomSource;
            txt.AutoCompleteCustomSource = source;
            txt.AutoCompleteMode = mode;
        }
    }
}
